import QtQml 2.15
import QtQuick 2.15
import org.ukui.quick.platform 1.0
DtThemeDefinition {
    id: dtTheme

    property color lightInactive: KWhite
    property color kContainAlphaClick: kGrayAlpha2
    property color textActive: KFontPrimary
    property color midActive: kGray3
    property color baseDisable: Qt.rgba(60/255, 60/255, 60/255, 1)
    property var kerrorHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(245/255, 63/255, 63/255, 1)
    }
    property color kFontSecondaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color textDisable: KFontPrimaryDisable
    property color windowtextDisable: KFontPrimaryDisable
    property color noroleInactive: kGray1
    property color kComponentAlphaHover: kGrayAlpha4
    property color kGrayAlpha7: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property var linkvisitedActive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color tooltiptextActive: KFontPrimary
    property color alternatebaseDisable: kGray2
    property color kLineNormal: kGrayAlpha4
    property color highlightedtextInactive: KFontWhite
    property color linkActive: KBrandNormal
    property color kGrayAlpha13: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color kGrayAlpha9: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color brighttextDisable: KFontStrong
    property color buttontextActive: KFontPrimary
    property color placeholderTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.5)
    property color shadowInactive: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color kGrayAlpha0: Qt.rgba(255/255, 255/255, 255/255, 0)
    property color kContainSecondaryAlphaNormal: kGrayAlpha12
    property color kComponentNormal: kGray6
    property color windowtextInactive: KFontSecondaryDisable
    property color noroleActive: kGray1
    property color tooltiptextInactive: KFontPrimary
    property color kLineBrandDisable: Qt.rgba(55/255, 144/255, 250/255, 0)
    property color kGray6: Qt.rgba(74/255, 74/255, 74/255, 1)
    property color brighttextActive: KFontStrong
    property color placeholderTextInactive: Qt.rgba(255/255, 255/255, 255/255, 0.5)
    property color alternatebaseInactive: kGray2
    property var kbrandClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kContainAlphaHover: kGrayAlpha1
    property color windowDisable: kGray3
    property color kBrand4: Qt.rgba(240/255, 188/255, 54/255, 1)
    property color kGray16: Qt.rgba(220/255, 220/255, 220/255, 1)
    property color kGray8: Qt.rgba(95/255, 95/255, 95/255, 1)
    property var kwarningHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(255/255, 125/255, 0/255, 1)
    }
    property color kGrayAlpha12: Qt.rgba(255/255, 255/255, 255/255, 0.03)
    property color kGray3: Qt.rgba(54/255, 54/255, 54/255, 1)
    property color windowtextActive: KFontPrimary
    property color kBrand3: Qt.rgba(235/255, 48/255, 150/255, 1)
    property color linkInactive: KBrandNormal
    property color kGray10: Qt.rgba(115/255, 115/255, 115/255, 1)
    property color kBrand6: Qt.rgba(223/255, 49/255, 55/255, 1)
    property color highlightInactive: KBrandNormal
    property color highlightedtextDisable: KFontPrimaryDisable
    property color kWarningNormal: Qt.rgba(255/255, 125/255, 0/255, 1)
    property color kLineWindowInactive: kGrayAlpha3
    property color buttonInactive: kGray6
    property var ksuccessHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(0/255, 180/255, 42/255, 1)
    }
    property color alternatebaseActive: kGray2
    property color tooltipbaseDisable: kGray0
    property color kGray12: Qt.rgba(135/255, 135/255, 135/255, 1)
    property color shadowDisable: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color brighttextInactive: KFontStrong
    property color kWhite: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kContainHover: kGray3
    property color kGray13: Qt.rgba(160/255, 160/255, 160/255, 1)
    property color baseInactive: Qt.rgba(34/255, 34/255, 34/255, 1)
    property color kErrorNormal: Qt.rgba(245/255, 63/255, 63/255, 1)
    property color kLineDisable: kGrayAlpha1
    property color kLineBrandNormal: Qt.rgba(55/255, 144/255, 250/255, 0)
    property color kwarningDisable: ButtonDisable
    property color noroleDisable: kGray5
    property color kLineBrandHover: Qt.rgba(55/255, 144/255, 250/255, 0)
    property color kLineWindowActive: kGrayAlpha3
    property color shadowActive: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color kLineComponentNormal: kGrayAlpha0
    property color midlightInactive: kGray7
    property color buttonActive: kGray6
    property color kGray17: Qt.rgba(240/255, 240/255, 240/255, 1)
    property color kLineComponentHover: Qt.rgba(255/255, 255/255, 255/255, 0)
    property color kBrand7: Qt.rgba(241/255, 133/255, 43/255, 1)
    property color kComponentClick: kGray10
    property color kFontWhiteDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color highlightActive: KBrandNormal
    property color kBrand2: Qt.rgba(114/255, 46/255, 209/255, 1)
    property color darkInactive: KBlack
    property color kFontPrimaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kFontWhiteSecondaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color buttontextDisable: KFontPrimaryDisable
    property color placeholderTextActive: Qt.rgba(255/255, 255/255, 255/255, 0.5)
    property color kModalMask: Qt.rgba(0/255, 0/255, 0/255, 0.2)
    property color kComponentHover: kGray7
    property color tooltiptextDisable: KFontPrimary
    property var kbrandFocus : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.15)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.15)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color linkDisable: KFontPrimaryDisable
    property color kSuccessNormal: Qt.rgba(0/255, 180/255, 42/255, 1)
    property color kGray15: Qt.rgba(200/255, 200/255, 200/255, 1)
    property color tooltipbaseInactive: kGray0
    property var ksuccessClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(0/255, 180/255, 42/255, 1)
    }
    property color lightDisable: kGray16
    property color kContainClick: kGray4
    property color tooltipbaseActive: kGray0
    property color tokenColor: Qt.rgba(30/255, 30/255, 30/255, 0.65)
    property color kGrayAlpha3: Qt.rgba(255/255, 255/255, 255/255, 0.1)
    property color kFontWhite: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color kbrandDisable: ButtonDisable
    property color darkDisable: kGray1
    property color ksuccessDisable: ButtonDisable
    property color midlightDisable: kGray6
    property var kwarningClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(255/255, 125/255, 0/255, 1)
    }
    property color darkActive: KBlack
    property color kComponentAlphaClick: kGrayAlpha6
    property color kerrorDisable: ButtonDisable
    property color kGrayAlpha1: Qt.rgba(255/255, 255/255, 255/255, 0.05)
    property color kGray1: Qt.rgba(34/255, 34/255, 34/255, 1)
    property color kContainGeneralAlphaNormal: kGrayAlpha0
    property color linkvisitedDisable: KFontPrimaryDisable
    property color kGray7: Qt.rgba(84/255, 84/255, 84/255, 1)
    property color windowActive: kGray2
    property color kLineComponentDisable: Qt.rgba(255/255, 255/255, 255/255, 0)
    property color kLineBrandClick: Qt.rgba(55/255, 144/255, 250/255, 0)
    property color midDisable: kGray5
    property var kbrandHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kBlack: Qt.rgba(0/255, 0/255, 0/255, 1)
    property color buttonDisable: kGray4
    property color lightActive: KWhite
    property color kGray2: Qt.rgba(46/255, 46/255, 46/255, 1)
    property color kComponentDisable: kGray4
    property color kGrayAlpha6: Qt.rgba(255/255, 255/255, 255/255, 0.2)
    property color midlightActive: kGray7
    property color kGrayAlpha10: Qt.rgba(255/255, 255/255, 255/255, 0.35)
    property color kBrand5: Qt.rgba(0/255, 129/255, 31/255, 1)
    property color kGray9: Qt.rgba(105/255, 105/255, 105/255, 1)
    property color kGrayAlpha11: Qt.rgba(255/255, 255/255, 255/255, 0.55)
    property color highlightDisable: kGray4
    property color kGray4: Qt.rgba(60/255, 60/255, 60/255, 1)
    property color midInactive: kGray3
    property color kContainGeneralNormal: kGray0
    property color kFontStrong: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kGray11: Qt.rgba(125/255, 125/255, 125/255, 1)
    property color kdivider: kGrayAlpha3
    property color kComponentAlphaDisable: kGrayAlpha2
    property color kBrand1: Qt.rgba(55/255, 144/255, 250/255, 1)
    property color kGrayAlpha5: Qt.rgba(255/255, 255/255, 255/255, 0.18)
    property color buttontextInactive: KFontPrimary
    property var kerrorClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(245/255, 63/255, 63/255, 1)
    }
    property color kGrayAlpha4: Qt.rgba(255/255, 255/255, 255/255, 0.15)
    property color kComponentAlphaNormal: kGrayAlpha3
    property color baseActive: Qt.rgba(30/255, 30/255, 30/255, 1)
    property color textInactive: KFontPrimary
    property color kGrayAlpha8: Qt.rgba(255/255, 255/255, 255/255, 0.28)
    property color kGray0: Qt.rgba(30/255, 30/255, 30/255, 1)
    property var linkvisitedInactive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kGrayAlpha2: Qt.rgba(255/255, 255/255, 255/255, 0.08)
    property color kGray5: Qt.rgba(68/255, 68/255, 68/255, 1)
    property color kContainSecondaryNormal: kGray2
    property color kFontWhiteSecondary: Qt.rgba(255/255, 255/255, 255/255, 0.65)
    property color highlightedtextActive: KFontWhite
    property color windowInactive: kGray2
    property color kFontPrimary: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color kBrandNormal: Qt.rgba(55/255, 144/255, 250/255, 1)
    property color kGray14: Qt.rgba(185/255, 185/255, 185/255, 1)
    property color kFontSecondary: Qt.rgba(255/255, 255/255, 255/255, 0.6)
    property color kLineComponentClick: Qt.rgba(255/255, 255/255, 255/255, 0)
    property color tokenColor1: Qt.rgba(46/255, 46/255, 46/255, 0.65)
    property int tokenFontsize16: 16
    property int tokenFontsize24: 24
    property int tokenFontsize12: 12
    property int tokenFontsize14: 14
    property int tokenFontsize18: 18
    property int focusLine: 2
    property int normalLine: 1
    property int tokenGap40: 40
    property int tokenGap4: 4
    property int tokenGap24: 24
    property int tokenGap8: 8
    property int tokenGap16: 16
    property int kRadiusMin: 4
    property int kRadiusMenu: 8
    property int kRadiusNormal: 6
    property int kRadiusWindow: 12
}
